Articles of android support library

При использовании библиотеки поддержки я получаю сообщение об ошибке «Атрибут« »уже определен в android

Я использую android version 4.2.2 (API 17), и я получаю много ошибок в консоли. Ошибки в формате [[[Атрибут] "уже определен в android]]] внутри цитат a Много значений. Например, название, высота, isLightTheme, windowActionBar color, spinBars, drawableSize, gapBetweenBars, topBottomBarArrowSize и т. Д. Консоль показана ниже ….. [2014-12-18 10:22:16 – sample] /mnt/D/workspaceinnerimage1/appcompat_v7/res/values/attrs.xml:28: error: Attribute "title" has already been […]

Вложенные фрагменты getchildfragmentmanager, вызывающие сбой

У меня есть viewPager, который содержит фрагменты, каждый из этих фрагментов имеет viewpager для отображения изображений и баннеров Теперь для каждого фрагмента Адаптер изображения передаю getChildFragmentManager (), как показано ниже CarouselAdapter carouselAdapter = new CarouselAdapter(getChildFragmentManager()); Но выше код вызывает сбои при изменении вкладок на вкладке просмотра, показывающих следующее сообщение java.lang.IllegalArgumentException: No view found for id […]

Ошибка раздувания фрагмента из макета android-support-v4

У меня возникают проблемы с фрагментами на платформе 2.2. Я импортировал библиотеку android-support-v4.jar для поддержки фрагментов. Я попытался изменить цель на Honeycomb 3.0, и код работает. Итак, я хочу знать, существует ли способ работать с фрагментами на собственной платформе и другим способом сделать это с использованием предыдущих версий. Вот мой AndroidManifest.xml : <?xml version="1.0" encoding="utf-8"?> […]

Как правильно включить библиотеку поддержки в приложение, отличное от Eclipse Android

Я думаю, как получить библиотеку поддержки Android для включения и компиляции вне Eclipse. Я использую Linux в качестве моей среды сборки, и я не использую среду IDE для создания приложений, а только базовый Android SDK. Я только пришел к ответам на этот вопрос относительно Eclipse, но как я могу это сделать, используя только Ant и […]

Java.util.zip.ZipException: дублирующаяся запись: android / support / v7 / graphics / drawable / DrawableUtils.class

Я только что обновил мою библиотеку поддержки с 23.0.0 до 23.1.0, и теперь, когда я создаю проект, я получаю эту ошибку: Error:Execution failed for task ':app:transformClassesWithJarMergingForDebug'. > com.android.build.transform.api.TransformException: java.util.zip.ZipException: duplicate entry: android/support/v7/graphics/drawable/DrawableUtils.class Вот мой уровень приложения build.gradle: buildscript { repositories { maven { url 'https://maven.fabric.io/public' } } dependencies { classpath 'io.fabric.tools:gradle:1.+' } } apply plugin: […]

Eclipse import google-play-services_lib отображает ошибку в значениях

Импортировать google-play-services_lib в мою рабочую область, но давая ошибку во всех папках значений, у меня было чистое изменение проекта Google API, добавьте файл google-play-services.jar, перезапустите eclipse, но все же ошибки В ошибке отображения консоли, как показано ниже [2014-05-23 11:54:22 – GPSService] D:\AndroidTool\workspace\google-play-services_lib\res\values\ads_attrs.xml:10: error: Attribute "adSize" has already been defined [2014-05-23 11:54:22 – GPSService] D:\AndroidTool\workspace\google-play-services_lib\res\values\ads_attrs.xml:17: error: […]

Почему расширение ImageView помечено как ошибка?

Android Studio отмечает как ошибку эту строку: public class ParallaxView extends ImageView Здесь ошибка: This custom view should extend android.support.v7.widget.AppCompatImageView instead less… (Ctrl+F1) In order to support features such as tinting, the appcompat library will automatically load special appcompat replacements for the builtin widgets. However, this does not work for your own custom views. Instead […]

GetChildFragmentManager вызывает исключение NoSuchMethod на устройстве 4.0.3, но не 4.2.2

Мне нужно использовать вложенные фрагменты для моего приложения, и поэтому я хотел бы использовать getChildFragmentManager . У меня два устройства: Реальный, работающий на 4.0.3 Виртуальный, работающий на 4.2.2 Он работает очень хорошо на втором, но не на моем физическом устройстве, так как вызов этого метода NoSuchMethod исключение NoSuchMethod . 07-10 19:53:51.722: E/AndroidRuntime(29711): java.lang.NoSuchMethodError: fr.epitech.test_esi.fragments.ReservationCalendarFragment.getChildFragmentManager В […]

Как изменить цвет TabIndicater в PagerTabStrip

У меня есть android.support.v4.view.PagerTabStrip определенный в xml следующим образом: <android.support.v4.view.ViewPager xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" android:id="@+id/pager" android:layout_width="match_parent" android:layout_height="match_parent" tools:context=".MainActivity"> <!– This title strip will display the currently visible page title, as well as the page titles for adjacent pages. –> <android.support.v4.view.PagerTabStrip android:id="@+id/pager_title_strip" android:layout_width="match_parent" android:layout_height="wrap_content" android:layout_gravity="top" android:background="#33b5e5" android:textColor="#fff" android:paddingTop="4dp" android:paddingBottom="4dp" /> </android.support.v4.view.ViewPager> Как изменить цвет TabIndicater ? Его можно […]

Применение темы к панели поддержки поддержки v7

Я использую библиотеку поддержки v7 для реализации ActionBar в своем приложении. У меня это есть в styles.xml <?xml version="1.0" encoding="utf-8"?> <resources xmlns:android="http://schemas.android.com/apk/res/android"> <style name="AppTheme" parent="@style/Theme.AppCompat.Light.DarkActionBar"> <item name="android:actionBarStyle">@style/ActionBarTheme</item> </style> <style name="ActionBarTheme" parent="android:Widget.ActionBar"> <item name="android:background">#FFFF0000</item> </style> </resources> Однако Eclipse жалуется на строку actionBarStyle . Ошибка заключается в следующем: android:actionBarStyle requires API level 11 (current min is 8) […]